package body MSHTML.DispDOMProcessingInstruction_Object is

   function Get_nodeType
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_nodeType);
   end Get_nodeType;

   function Get_parentNode
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_parentNode);
   end Get_parentNode;

   function hasChildNodes
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, DispDOMProcessingInstruction_hasChildNodes);
   end hasChildNodes;

   function Get_childNodes
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_childNodes);
   end Get_childNodes;

   function Get_attributes
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_attributes);
   end Get_attributes;

   function insertBefore
     (This     : DispDOMProcessingInstruction_Type;
      newChild : GNATCOM.Types.VARIANT;
      refChild : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_insertBefore,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => refChild,
          2 => newChild),
         Free);
   end insertBefore;

   function removeChild
     (This     : DispDOMProcessingInstruction_Type;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_removeChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => oldChild),
         Free);
   end removeChild;

   function replaceChild
     (This     : DispDOMProcessingInstruction_Type;
      newChild : GNATCOM.Types.VARIANT;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_replaceChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => oldChild,
          2 => newChild),
         Free);
   end replaceChild;

   function cloneNode
     (This  : DispDOMProcessingInstruction_Type;
      fDeep : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_cloneNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => fDeep),
         Free);
   end cloneNode;

   function removeNode
     (This  : DispDOMProcessingInstruction_Type;
      fDeep : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_removeNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => fDeep),
         Free);
   end removeNode;

   function swapNode
     (This      : DispDOMProcessingInstruction_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_swapNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => otherNode),
         Free);
   end swapNode;

   function replaceNode
     (This        : DispDOMProcessingInstruction_Type;
      replacement : GNATCOM.Types.VARIANT;
      Free        : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_replaceNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => replacement),
         Free);
   end replaceNode;

   function appendChild
     (This     : DispDOMProcessingInstruction_Type;
      newChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_appendChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => newChild),
         Free);
   end appendChild;

   function Get_nodeName
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_nodeName);
   end Get_nodeName;

   procedure Put_nodeValue
     (This : DispDOMProcessingInstruction_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispDOMProcessingInstruction_Put_nodeValue,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_nodeValue;

   function Get_nodeValue
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_nodeValue);
   end Get_nodeValue;

   function Get_firstChild
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_firstChild);
   end Get_firstChild;

   function Get_lastChild
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_lastChild);
   end Get_lastChild;

   function Get_previousSibling
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_previousSibling);
   end Get_previousSibling;

   function Get_nextSibling
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_nextSibling);
   end Get_nextSibling;

   function Get_ownerDocument
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_ownerDocument);
   end Get_ownerDocument;

   procedure Put_prefix
     (This : DispDOMProcessingInstruction_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispDOMProcessingInstruction_Put_prefix,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_prefix;

   function Get_prefix
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_prefix);
   end Get_prefix;

   function Get_localName
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_localName);
   end Get_localName;

   function Get_namespaceURI
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_namespaceURI);
   end Get_namespaceURI;

   procedure Put_textContent
     (This : DispDOMProcessingInstruction_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispDOMProcessingInstruction_Put_textContent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_textContent;

   function Get_textContent
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_textContent);
   end Get_textContent;

   function isEqualNode
     (This      : DispDOMProcessingInstruction_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_isEqualNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => otherNode),
         Free);
   end isEqualNode;

   function lookupNamespaceURI
     (This       : DispDOMProcessingInstruction_Type;
      pvarPrefix : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_lookupNamespaceURI,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pvarPrefix),
         Free);
   end lookupNamespaceURI;

   function lookupPrefix
     (This             : DispDOMProcessingInstruction_Type;
      pvarNamespaceURI : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_lookupPrefix,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pvarNamespaceURI),
         Free);
   end lookupPrefix;

   function isDefaultNamespace
     (This          : DispDOMProcessingInstruction_Type;
      pvarNamespace : GNATCOM.Types.VARIANT;
      Free          : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_isDefaultNamespace,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pvarNamespace),
         Free);
   end isDefaultNamespace;

   function ie9_appendChild
     (This     : DispDOMProcessingInstruction_Type;
      newChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_ie9_appendChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => newChild),
         Free);
   end ie9_appendChild;

   function ie9_insertBefore
     (This     : DispDOMProcessingInstruction_Type;
      newChild : GNATCOM.Types.VARIANT;
      refChild : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_ie9_insertBefore,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => refChild,
          2 => newChild),
         Free);
   end ie9_insertBefore;

   function ie9_removeChild
     (This     : DispDOMProcessingInstruction_Type;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_ie9_removeChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => oldChild),
         Free);
   end ie9_removeChild;

   function ie9_replaceChild
     (This     : DispDOMProcessingInstruction_Type;
      newChild : GNATCOM.Types.VARIANT;
      oldChild : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_ie9_replaceChild,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => oldChild,
          2 => newChild),
         Free);
   end ie9_replaceChild;

   function isSameNode
     (This      : DispDOMProcessingInstruction_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_isSameNode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => otherNode),
         Free);
   end isSameNode;

   function compareDocumentPosition
     (This      : DispDOMProcessingInstruction_Type;
      otherNode : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_compareDocumentPosition,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => otherNode),
         Free);
   end compareDocumentPosition;

   function isSupported
     (This    : DispDOMProcessingInstruction_Type;
      feature : GNATCOM.Types.VARIANT;
      version : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMProcessingInstruction_isSupported,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => version,
          2 => feature),
         Free);
   end isSupported;

   function Get_target
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_target);
   end Get_target;

   procedure Put_data
     (This : DispDOMProcessingInstruction_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispDOMProcessingInstruction_Put_data,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_data;

   function Get_data
     (This : DispDOMProcessingInstruction_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMProcessingInstruction_Get_data);
   end Get_data;

end MSHTML.DispDOMProcessingInstruction_Object;

